Subject: Re: [PATCH 05/21] builtin/config: move actions into `cmd_config_actions()`

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 13 May 2024 12:20:43 +0200

On Fri, May 10, 2024 at 01:42:49PM -0700, Kyle Lippincott wrote:
> On Fri, May 10, 2024 at 4:26 AM Patrick Steinhardt <[email-masked]> wrote:
[snip]
> > -/*
> > - * The actions "ACTION_LIST | ACTION_GET_*" which may produce more than
> > - * one line of output and which should therefore be paged.
> > - */
> 
> We lost this comment when inlining this. Not sure if that was
> intentional (comment deemed to be of low value) or accidental. I think
> as someone unfamiliar with this logic that the comment would be
> helpful to keep - it describes _why_ those items are checked for (vs.
> needing to infer it from the action that's taken when there's a
> match).

It was intentional because I found the comment to be somewhat redundant.
But I can also see that it does provide a bit more context than the code
itself does, so I'll add it back in.

Patrick